Bug 480482 - [terminus] update to new font package naming guidelines
[terminus] update to new font package naming guidelines
Status: CLOSED DUPLICATE of bug 486248
Product: Fedora
Classification: Fedora
Component: terminus-font (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11-new-font-naming
  Show dependency treegraph
 
Reported: 2009-01-17 08:55 EST by Nicolas Mailhot
Modified: 2009-02-18 20:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 20:19:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Hans Ulrich Niedermann 2009-02-04 10:27:47 EST
So far, the package names were as follows:

  SRPM: terminus-font
  RPM:  terminus-font-x11
        (X11 bitmap font set in normal/bold and several sizes)
  RPM:  terminus-font-console
        (console bitmap font set in normal/bold and several character sets)

The new rules say "Fedora font packages are named [foundryname-]projectname[-fontfamilyname]-fonts, in lowercase".

I can't see any foundry, upstream[1]'s project name is "Terminus Font - a clean fixed width font", I don't see a special "fontfamilyname", so my package would need to be called "terminus-font-fonts"?

Changing from old "terminus-font" to "terminus-fonts" with a trailing s could sound better and be less redundant and confusing.

Presuming I have eventually worked out the proper name to call the SRPM, I will call the package containing the X11 font files the same, after the [foundryname-]projectname[-fontfamilyname]-fonts naming scheme.

But what happens with the console fonts? %{name}-console would violate the [foundryname-]projectname[-fontfamilyname]-fonts naming scheme. Or are all the "fonts" rules only applying to X11 fonts anyway and there are no rules for console fonts? I could do a "-n terminus-font-console" to keep the old package name in the latter case.

Anyway, I'd really like to build the package with the console fonts in the same source package if possible.

[1] http://www.is-vn.bg/hamster/

(Partly) related bugs:
  bug 477433: nted's "convert to new font pkg guidelines" bug
    https://bugzilla.redhat.com/show_bug.cgi?id=477433#c5
    https://bugzilla.redhat.com/show_bug.cgi?id=477433#c7
  bug 483589: current terminus-font-x11's registering of the X11 fonts broken
    https://bugzilla.redhat.com/show_bug.cgi?id=483589#c0

If any part of this is better discussed on fedora-fonts-list, feel free to do so. I am subscribed there.
Comment 2 Nicolas Mailhot 2009-02-04 16:18:13 EST
(In reply to comment #1)
> So far, the package names were as follows:
> 
>   SRPM: terminus-font
>   RPM:  terminus-font-x11
>         (X11 bitmap font set in normal/bold and several sizes)
>   RPM:  terminus-font-console
>         (console bitmap font set in normal/bold and several character sets)
> 
> The new rules say "Fedora font packages are named
> [foundryname-]projectname[-fontfamilyname]-fonts, in lowercase".
> 
> I can't see any foundry,

foundry is just a shorthand for upstream, if an upstream releases several fonts so they are clearly grouped together. It is optional

> upstream[1]'s project name is "Terminus Font - a clean
> fixed width font", I don't see a special "fontfamilyname",

Font family name is nothing special that's how your font calls itself in GUI font lists. You can't have a font file without a familyname or apps would not know how to refer to it.

> so my package would
> need to be called "terminus-font-fonts"?

"When foundryname, projectname or fontfamilyname contain the font or fonts affix, this affix should be dropped from them"

Don't panic and just read attentively
http://fedoraproject.org/wiki/Packaging:FontsPolicy#Clarifications you'll see this kind of case is covered

> Changing from old "terminus-font" to "terminus-fonts" with a trailing s could
> sound better and be less redundant and confusing.
> 
> Presuming I have eventually worked out the proper name to call the SRPM, I will
> call the package containing the X11 font files the same, after the
> [foundryname-]projectname[-fontfamilyname]-fonts naming scheme.

This is ok

> But what happens with the console fonts?

Console fonts can't be processed by fontconfig so they're not a "font" covered by the guidelines and you can name the subpackage that contains them whatever you want, as long as it's not some form of foo-fonts
Comment 3 Hans Ulrich Niedermann 2009-02-04 16:55:53 EST
Ah, thanks!

I'll submit for review an SRPM updated to today's standards when I am back from FOSDEM.
Comment 4 Nicolas Mailhot 2009-02-18 14:33:32 EST
This is a reminder for all the packagers that still have bugs open about adapting to font packaging guidelines there is only one month left before Fedora 11 beta:
http://fedoraproject.org/wiki/Releases/11/Schedule

A week of this month will see the Fedora 11 mass rebuild, that will load the build farm:
http://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

As already converted packages showed it is quite possible to make mistakes during the conversion. Please make releng and QA happy and don't wait till the last minute to do your changes (avoid pre-beta panic). If possible start before the mass rebuild so we don't burn cycles on incorrect packages.

The PackageKit enhancements stated for Fedora 11 assume fonts and font-using packages are sane (basically respect packaging guidelines). It is quite possible that not-converted packages will interact with the F11 font autoinstall feature in "interesting" ways.
http://fedoraproject.org/wiki/Features/AutomaticFontInstallation

We don't want that

There is extensive documentation on the wiki and most of your questions have likely already been answered there. Please do read the FAQ before making more work for the support team by asking questions answered there.
http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29
Comment 5 Hans Ulrich Niedermann 2009-02-18 20:19:24 EST
This issue has been turned over to the review request for the new terminus-fonts package over at bug 486248.

*** This bug has been marked as a duplicate of bug 486248 ***

Note You need to log in before you can comment on or make changes to this bug.